#ifndef QGSCOPEOBJECTDOCKWIDGET_H
#define QGSCOPEOBJECTDOCKWIDGET_H

//#include <QDockWidget>
#include "qgscopedevice.h"
#include "qgscopechannel.h"

#include "DockWidget.h"

//namespace Ui {
//class QgScopeObjectDockWidget;
//}

class QgScopeObjectDockWidget : public ads::CDockWidget
{
    Q_OBJECT

public:
    explicit QgScopeObjectDockWidget(QWidget *parent = 0);
    ~QgScopeObjectDockWidget();

public slots:
    void addDevice(QgScopeDevice* d);
    void addChannel(QgScopeChannel *ch);

    void syncDeviceStatus(bool);

private slots:
    void deviceContextMenu(const QPoint& pos);

private:
    //Ui::QgScopeObjectDockWidget *ui;

    class Implementation;
    Implementation& p_;
};

#endif // QGSCOPEOBJECTDOCKWIDGET_H
